import * as React from 'react';
import ChoseFileNames from './chose-file-names';
import { connect, ConnectedProps } from "react-redux";

const connector = connect(
  (state: RootState) => (
    {
      selectedFilePaths: state.conversions.conversion.selectedFilePaths,
    }
  ),
  null
)

type PropsFromRedux = ConnectedProps<typeof connector>

type Props = PropsFromRedux & {
  children: React.ReactNode;
};

class FileInformations extends React.Component<Props, {}> {
  constructor(props: Readonly<Props>){
    super(props);
  }

  render(): JSX.Element {
    return (
      <div className="file-informations-row">
        <p className="available-file-type-icons">
          <i className="file-type-icon material-icons">movie</i>
          <i className="file-type-icon material-icons">image</i>
        </p>
        <div className="file-informations">
          <ChoseFileNames filePaths={this.props.selectedFilePaths}/>
          <p className="available-file-type-text grey-text text-darken-1">{this.props.children}</p>
        </div>
      </div>
    );
  }
}

export default connector(FileInformations);
