import i18n from "i18next";
import { initReactI18next } from "react-i18next";

i18n
  .use(initReactI18next)
  .init({
    resources: {
      en: {
        translation: {
          "title":"Anything-VR-ification-Boi (Beta)",
          "choose a file":"Choose a file…",
          "open the folder":"Open the folder",
          "supported files":"mp4, mov, gif, jpg, png",
          "convert":"Convert!",
          "done":"Done",
          "converting":"Converting…",
          "abort":"Abort",
          "aborted":"Aborted",
          "output location":"Output location:",
          "choose the output location":"Choose the output location…",
          "conversion speed":"Conversion speed",
          "full":"Full",
          "medium":"Medium",
          "minimum":"Minimum",
          "copy":" by Setsuzoku Studio",
          "image copy":"Image by Takafumi Fukuyo– Setsuzoku Studio Eleca-kun",
        }
      },
      ja: {
        translation: {
          "title":"なんでもVR変換くん(β)",
          "choose a file":"ファイルを選択",
          "open the folder":"フォルダを開く",
          "supported files":"mp4, mov, gif, jpg, png",
          "convert":"変換開始！",
          "done":"変換完了！",
          "converting":"変換中…",
          "abort":"変換を中止",
          "aborting":"変換を中止中...",
          "aborted":"変換中止",
          "output location":"次の場所に出力",
          "choose the output location":"変換先を選択",
          "conversion speed":"変換速度",
          "full":"フル",
          "medium":"半分",
          "minimum":"最小",
          "copy":"byセツゾクスタジオ",
          "image copy":"Image by 福與 崇文 – セツゾクスタジオ エレカくん",
        }
      }
    },
    fallbackLng: "en",
    interpolation: {
      escapeValue: false
    }
  });

export default i18n;
