import * as React from 'react';
import ExternalLink from '../atoms/external-link';
import { withTranslation } from 'react-i18next';
import { TFunction } from 'i18next';

class AppTitle extends React.Component<{ t: TFunction }, {}> {
  render(): JSX.Element {
    return (
      <div className="app-title-text">
        <ExternalLink className="link-like" href="https://vrhenkan.com">{this.props.t('title')}</ExternalLink>
          by 
        <ExternalLink className="link-like" href="https://setsuzokustudio.com">{this.props.t('copy')}</ExternalLink>
        <div className="version-and-licenses">v0.0.1 - <ExternalLink className="link-like" href="https://www.gnu.org/licenses/agpl-3.0.html">Licensed under AGPL version 3</ExternalLink></div>
      </div>
    )
  }
}

export default withTranslation()(AppTitle);
