import * as React from 'react';
import ExternalLink from '../atoms/external-link';
import { withTranslation } from 'react-i18next';
import { TFunction } from 'i18next';

class ElecaIcon extends React.Component<{animation: boolean; t: TFunction }, {}> {
  render(): JSX.Element {
    return (
      <div className="eleca-icon">
        <div>
          <img className={`eleca-icon-img + ${this.props.animation ? 'animation' : ''}`} src="../images/svgs/vrkun-eleca-icon.svg" />
        </div>
        <div className="credit">
          Image by <ExternalLink className="link-like" href="https://github.com/TakafumiFukuyo/setsuzokustudio-eleca-kun">{this.props.t('image copy')}</ExternalLink> / <ExternalLink className="link-like" href="https://creativecommons.org/licenses/by/4.0/deed.ja">CC BY 4.0</ExternalLink>
        </div>
      </div>
    )
  }
}

export default withTranslation()(ElecaIcon);
