import * as React from 'react';
import FileInformations from '../atoms/file-informations';
import FileChooser from '../atoms/file-chooser';
import { withTranslation } from 'react-i18next';
import { TFunction } from 'i18next';

class FileChooserColumn extends React.Component<{ t: TFunction}> {
  render(): JSX.Element {
    return (
      <div className="column file-chooser-column">
        <div className="teal lighten-1 circle">1</div>
        <FileChooser>{this.props.t('choose a file')}</FileChooser>
        <FileInformations>mp4, mov, gif, jpg, png</FileInformations>
      </div>
    );
  }
}

export default withTranslation()(FileChooserColumn);
