import * as React from 'react';
import AppTitle from '../molecules/app-title';
import ElecaIcon from '../molecules/eleca-icon';
import { connect } from "react-redux";
import { UPDATE_PROGRESS } from '../redux/action-types';

const connector = connect(
  (state: RootState) => (
    {
      currentType: state.conversions.conversion.currentType,
    }
  )
)

class Footer extends React.Component<{currentType: string}> {
  render(): JSX.Element {
    return (
      <div className="row footer">
        <div className="col s8 app-logo">
          <img className="app-logo-img" src="../images/svgs/vrkun-app-icon.svg" />
          <AppTitle/>
        </div>
        <div className="col s4">
          <ElecaIcon animation={this.props.currentType === UPDATE_PROGRESS}/>
        </div>
      </div>
    );
  }
}

export default connector(Footer);
