import * as ActionTypes from './action-types'
import initialConversion from './initial-conversion';

export const chooseFile = (selectedFilePaths: string[]): ConversionAction => ({
  type: ActionTypes.CHOOSE_FILE,
  conversion: {
    convertDestinationPath: '',
    currentType: '',
    currentFileIndex: -1,
    progress: -1,
    selectedFilePaths: selectedFilePaths,
    cpuUsageLimitType: '',
  }
});

export const chooseDirectory = (convertDestinationPath: string): ConversionAction => ({
  type: ActionTypes.CHOOSE_DIRECTORY,
  conversion: {
    convertDestinationPath: convertDestinationPath,
    currentType: '',
    currentFileIndex: -1,
    progress: -1,
    selectedFilePaths: [],
    cpuUsageLimitType: '',
  }
});

export const completeConvert = (): ConversionAction => ({
  type: ActionTypes.COMPLETE_CONVERT,
  conversion: initialConversion
});

export const startConvert = (): ConversionAction => ({
  type: ActionTypes.START_CONVERT,
  conversion: initialConversion
});

export const updateProgress = (currentFileIndex: number, progress: number): ConversionAction => ({
  type: ActionTypes.UPDATE_PROGRESS,
  conversion: {
    convertDestinationPath: '',
    currentType: '',
    currentFileIndex: currentFileIndex,
    progress: progress,
    selectedFilePaths: [],
    cpuUsageLimitType: '',
  }
});

export const startCancelConvert = (): ConversionAction => ({
  type: ActionTypes.START_CANCEL_CONVERT,
  conversion: initialConversion
});

export const doneCancelConvert = (): ConversionAction => ({
  type: ActionTypes.DONE_CANCEL_CONVERT,
  conversion: initialConversion
});

export const changeCpuUsageLimit = (cpuUsageLimit: string): ConversionAction => ({
  type: ActionTypes.CHANGE_CPU_USAGE_LIMIT,
  conversion: {
    convertDestinationPath: '',
    currentType: '',
    currentFileIndex: -1,
    progress: -1,
    selectedFilePaths: [],
    cpuUsageLimitType: cpuUsageLimit,
  }
});
