const CopyWebpackPlugin = require('copy-webpack-plugin');
const PermissionWebpackPlugin = require('webpack-permissions-plugin')
const path = require('path');
const os = require('os');

const plugins = [];

const assets = ['preloads', path.join('bin', `ffmpeg-${os.platform()}`)];
const patterns = assets.map((asset) =>
  ({
    from: path.resolve(__dirname, 'src', asset),
    to: path.resolve(__dirname, '.webpack', 'main', asset)
  })
);

plugins.push(
  new CopyWebpackPlugin({
    patterns
  }),
  new PermissionWebpackPlugin({
    buildFolders: [
      {
        path: path.resolve(__dirname, '.webpack', 'main', 'bin', `ffmpeg-${os.platform()}`),
        fileMode: '755'
      },
    ]
  }));

module.exports = {
  /**
   * This is the main entry point for your application, it's the first file
   * that runs in the main process.
   */
  entry: './src/index.ts',
  // Put your normal webpack config below here
  module: {
    rules: require('./webpack.rules'),
  },
  plugins,
  resolve: {
    extensions: ['.js', '.ts', '.jsx', '.tsx', '.json']
  },
};