const rules = require('./webpack.rules');
const plugins = require('./webpack.plugins');
const CopyWebpackPlugin = require('copy-webpack-plugin');
const path = require('path');

const assets = ['libs', 'styles', 'images'];
const patterns = assets.map((asset) =>
  ({
    from: path.resolve(__dirname, 'src', asset),
    to: asset
  })
);

plugins.push(new CopyWebpackPlugin({
  patterns
}))

module.exports = {
  module: {
    rules,
  },
  plugins,
  resolve: {
    extensions: ['.js', '.ts', '.jsx', '.tsx']
  },
};
